Name:          abseil-cpp
Version:       20250127.0
Release:       2mamba
Summary:       An open-source collection of C++ code (compliant to C++11) designed to augment the C++ standard library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://abseil.io/
Source:        https://github.com/abseil/abseil-cpp.git/%{version}/abseil-cpp-%{version}.tar.bz2
Patch0:        abseil-cpp-20230802.1-scoped-mock-log.patch
License:       Apache License 2.0
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgmock-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libgmock-devel >= 0:1.16.0-1mamba
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
Abseil is an open-source collection of C++ code (compliant to C++11) designed to augment the C++ standard library.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An open-source collection of C++ code (compliant to C++11) designed to augment the C++ standard library

%description -n lib%{name}
Abseil is an open-source collection of C++ code (compliant to C++11) designed to augment the C++ standard library.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

# Don't clean build at the end
%global __spec_rmbuild_cmd /bin/true

%global __requires_exclude ^pkgconfig\\(absl_random_internal_mock_overload_set\\)

%prep
%setup -q
%patch 0 -p1 -b .scoped-mock-log

%build
%cmake -d build \
   -DCMAKE_CXX_STANDARD=17 \
   -DBUILD_SHARED_LIBS=ON \
   -DABSL_BUILD_TEST_HELPERS=ON \
   -DABSL_USE_EXTERNAL_GOOGLETEST=ON \
   -DABSL_FIND_GOOGLETEST=ON

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libabsl_*.so.*
%doc AUTHORS LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/absl
%{_includedir}/absl/*
%{_libdir}/libabsl_*.so
%{_libdir}/pkgconfig/absl_*.pc
%dir %{_libdir}/cmake/absl
%{_libdir}/cmake/absl/absl*.cmake
%doc README.md

%changelog
* Tue Feb 11 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 20250127.0-2mamba
- rebuilt with libgmock 1.16.0

* Thu Feb 06 2025 Automatic Build System <autodist@openmamba.org> 20250127.0-1mamba
- automatic version update by autodist

* Sat Jan 25 2025 Automatic Build System <autodist@openmamba.org> 20240722.1-1mamba
- automatic version update by autodist

* Fri Aug 02 2024 Automatic Build System <autodist@openmamba.org> 20240722.0-1mamba
- automatic version update by autodist

* Sat Jul 27 2024 Automatic Build System <autodist@mambasoft.it> 20240116.2-2mamba
- rebuilt by autoport with build requirements: libgmock-devel>=0:1.15.0-1mamba

* Tue Apr 09 2024 Automatic Build System <autodist@openmamba.org> 20240116.2-1mamba
- automatic version update by autodist

* Fri Feb 16 2024 Automatic Build System <autodist@openmamba.org> 20240116.1-1mamba
- automatic version update by autodist

* Tue Jan 30 2024 Automatic Build System <autodist@openmamba.org> 20240116.0-1mamba
- automatic version update by autodist

* Thu Sep 21 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 20230802.1-2mamba
- path: scoped-mock-log: fix protobuf build (ref. https://github.com/abseil/abseil-cpp/issues/1407)

* Tue Sep 19 2023 Automatic Build System <autodist@mambasoft.it> 20230802.1-1mamba
- automatic version update by autodist

* Sat Aug 12 2023 Automatic Build System <autodist@mambasoft.it> 20230802.0-1mamba
- automatic version update by autodist

* Fri May 05 2023 Automatic Build System <autodist@mambasoft.it> 20230125.3-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 20230125.2-1mamba
- automatic version update by autodist

* Sat Feb 18 2023 Automatic Build System <autodist@mambasoft.it> 20230125.1-1mamba
- automatic version update by autodist

* Sat Jan 28 2023 Automatic Build System <autodist@mambasoft.it> 20230125.0-1mamba
- automatic version update by autodist

* Thu Sep 01 2022 Automatic Build System <autodist@mambasoft.it> 20220623.1-1mamba
- automatic version update by autodist

* Thu Jun 30 2022 Automatic Build System <autodist@mambasoft.it> 20220623.0-1mamba
- automatic version update by autodist

* Sun Feb 06 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 20211102.0-1mamba
- package created using the webbuild interface
